0

I managed to get Wine and Winetricks installed successfully, and even successfully installed the Blizzard app! I followed this guide: https://linuxconfig.org/how-to-install-blizzard-battle-net-app-on-ubuntu-18-04-bionic-beaver-linux

At the bottom of the guide, it says something about HotS requiring dx9 because dx11 isn't supported yet. I have no idea what that means, and thought I'd try running it anyways. I figured it wouldn't work but wanted to check, and of course it didn't work. I don't even know where to start as far as running it with "special launch time flags" or even what that means or how to start learning about this stuff. Any help getting Heroes of the Storm running would be appreciated.

EDIT: I tried different drivers and that didn't help at all. I went from the default open source drivers to the Nvidia drivers.

1 Answer 1

0

I made it work properly with PlayOnLinux. Tested on Linux Mint 20 and Ubuntu 20.04.

  • Linux Mint 20
  • 5.4.0-42-generic
  • nvidia-driver-440-server (440.95.01-0)
  1. Install PlayonLinux from Software Manager
  2. Open PlayOnLinux > Games > Install HOTS
  3. Follow the installation steps. When game is installed exit from Battle.net launcher, make sure it is exited, not just closed.
  4. In PlayOnLinux select HOTS > Configure
  5. Configure Wine > Libraries Add d3dcompiler_47 and d3dx11_42 (both should be set as native). Close wine config.
  6. Switch to Install components and find and install DXVK_171. Ignore the warnings.
  7. Enjoy.
0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.